import click
from click_didyoumean import DYMGroup
import click_log
import logging

logger = logging.getLogger('carom.cli')  # hard coded module name to support directly called module
root_logger = logging.getLogger('')
click_log.basic_config(root_logger)


@click.group(cls=DYMGroup)
@click_log.simple_verbosity_option(root_logger)
def cli():
    pass


@cli.command()
def run():
    """
    This command runs the carom-client daemon process.
    """
    pass


@cli.command()
def check_config():
    """
    This command checks the config for carom client.
    """
    from carom.config import config, log_config
    if config:
        logger.info("Configuration OK")
    else:
        logger.warning("Compiled configuration:")
        log_config()
        exit(1)


if __name__ == "__main__":
    cli()
